var UIP;


function ImportarCatalogoProveedores(){
	var IProveedor;
	var FSystem;
	var TextStream;
	var stArray=new Array();
	var stFile;
	var stLine;
	var LBound;
	var itLines;
	var itCount=0;
	var stTemp="";

	UIP=Application.NewUIProgress();
	UIP.Caption="Importando catlogo de proveedores"
	UIP.Min=0;
	
	stFile=Application.OpenFile("Archivos de texto (*.txt)|*.txt");
  
	if (stFile==""){		
		return false;
	}

	FSystem=Application.NewObject("Scripting.FileSystemObject");
	if (FSystem.FileExists(stFile)==false){
		eBasic.eMsgbox("No se pudo abrir el archivo seleccionado",6);
		return false;
	}
	TextStream=FSystem.OpenTextFile(stFile);
	IProveedor=Application.NewObject("EDOFx.Proveedor");
	IProveedor.AddNew();
	IProveedor.ADOCnn=Application.adoCnn;
	
	itLines=LinesCount(stFile, FSystem);
	UIP.Max=itLines+1;
	UIP.Show();
	itLines=1;
	
	Application.MouseHourglass();
	
	while (TextStream.AtEndOfStream==false){
	
		try{
			stLine=TextStream.ReadLine();
			stArray=stLine.split("|");
		
			Application.eDoEvents();
			IProveedor.AddNew();
			
			if (IProveedor.LoadFromADOCByCodigo(stArray[0])==false){			
				IProveedor.Codigo=stArray[0];
				IProveedor.Nombre=stArray[1];
				if (IProveedor.IDivisa.LoadFromADOCByCodigo(stArray[2])==true){
				
					if (IProveedor.Tipo.LoadFromADOCByCodigo(stArray[3])==true){					
						UIP.TopTitle="Almacenando "+IProveedor.Nombre;
						
						IProveedor.Domicilio1.AddNew();
						
						if (IProveedor.Domicilio1.ICiudad.LoadFromADOCByCodigo(stArray[4])==true){
							IProveedor.Domicilio1.Direccion=stArray[5];
							IProveedor.Domicilio1.Colonia = stArray[6];
							IProveedor.Domicilio1.CodPos=stArray[7];
						}
						else{
							IProveedor.Domicilio1.ICiudad.LoadFromADOCByCodigo("CT0001");//Codigo Ciudad Desconocido
							IProveedor.Domicilio1.Direccion=stArray[5];
							IProveedor.Domicilio1.Colonia = stArray[6];
							IProveedor.Domicilio1.CodPos=stArray[7];
						}
						
						if(IProveedor.Domicilio1.ICiudad.Sys_PK>0){
							IProveedor.Domicilio1.Telefonos=stArray[9];
							IProveedor.Domicilio1.Update();
						}
						
						/*Verifica el tipo Tasa IVA*/
						stTemp=stArray[8]+"";
						
						switch (stTemp.toUpperCase()){
							case "I":/*Interior*/
								IProveedor.tasaIva = 1;
							break;
							case "F":/*Frontera*/
								IProveedor.tasaIva = 2;
							break;
							default:
								Log("Error: Codigo Tasa Iva invalido");
							break;
						}
						
						IProveedor.RFC=stArray[10];						
						IProveedor.eMail=stArray[11];
						IProveedor.WebSite=stArray[12];
						IProveedor.Status=1; //cNormal
					
						if (!IProveedor.Update()){						
							Log("Error al procesar fila "+itLines+". Error al guardar "+IProveedor.Nombre+" "+IProveedor.lastErrDescrip);
						}
						else{
							itCount=itCount+1;
						}
					}else{
						Log("Error al procesar fila "+itLines+". No se pudo cargar tipo del proveedor con cdigo: "+stArray[0]);
					}
				}else{
					Log("Error al procesar fila "+itLines+". No se pudo cargar la divisa del proveedor con cdigo: "+stArray[0]);
				}
				
			}else{
				Log("Error al procesar fila "+itLines+". El proveedor con cdigo: "+stArray[0]+" ya se encuentra registrado.");
			}
		
		}catch(e){
			Log("Error al procesar fila "+itLines);
		}
		
		itLines=itLines+1;
		UIP.Value=itLines;				
	}
	
	Application.CloseUIProgress(UIP);
	Application.MouseDefault();
	eBasic.eMsgbox ("Cantidad de registros importados: "+itCount,6); 
	TextStream.Close();
	IProveedor=null;
	FSystem=null;
	TextStream=null;
	stArray=null;
	return true;
}

function Log(Error){
	if (Error!="")
		Application.FireEventLog(Error);
}

function LinesCount(strFile, FSystemO){
	var StreamO;
	var itCount=0;

	StreamO=FSystemO.OpenTextFile(strFile);
	
	while (StreamO.AtEndOfStream==false){
		itCount=itCount+1;
		StreamO.SkipLine();
	}
	
	StreamO.Close();
	Streamo=null;
	return itCount;
}


function Procesar(){
	try{
		return ImportarCatalogoProveedores();
	}catch(e)
	{
		if(UIP!=null){
			Application.CloseUIProgress(UIP);
			Application.MouseDefault();
		}
		Log("Error al ejecutar subprograma");
		throw e;
		return false;
	}
}
Procesar();