var UIP;
	
function ImportarCatalogoProveedores(){
	var IProveedor;
	var EFile;
	var ESheet;
	var lgItems;
	var itRows;
	var stFile;
	var stTemp;
	var itCount=0;
	var stTemp="";
	
	stFile=Application.OpenFile("Archivos de excel (*.xls)|*.xls");	
	if (eBasic.FileExists(stFile)==false){
		return false;
	}
	
	UIP=Application.NewUIProgress();
	UIP.Caption="Importando catlogo de proveedores"
	UIP.Min=0;
	
	EFile=Application.NewObject("Excel.Application");
	EFile.WorkBooks.Open (stFile);
	IProveedor=Application.NewObject("EDOFx.Proveedor");
	IProveedor.ADOCnn=Application.adoCnn;

    // si es la versin de Excel 97, asigna la hoja activa ( ActiveSheet )
	if (EFile.Application.Version>=8){
		ESheet = EFile.ActiveSheet;
	}
	else{
		ESheet = EFile;
	}
	
	itRows=ESheet.UsedRange.Rows.Count;
	UIP.Max=itRows;
	UIP.Show();
	
	Application.MouseHourglass();
	
	for (lgItems=2;lgItems<=itRows;lgItems++){
		
		try{
				
			Application.eDoEvents();
			IProveedor.AddNew();
			
			if (IProveedor.LoadFromADOCByCodigo(ESheet.Cells(lgItems,1))==false){
				
				IProveedor.Codigo=ESheet.Cells(lgItems,1);
				IProveedor.Nombre=ESheet.Cells(lgItems,2);
				if (IProveedor.IDivisa.LoadFromADOCByCodigo(ESheet.Cells(lgItems,3))==true){
				
					if (IProveedor.Tipo.LoadFromADOCByCodigo(ESheet.Cells(lgItems,4))==true){
					
						UIP.TopTitle="Almacenando "+IProveedor.Nombre;
						
						IProveedor.Domicilio1.AddNew();
						
						if (IProveedor.Domicilio1.ICiudad.LoadFromADOCByCodigo(ESheet.Cells(lgItems,5))==true){
							IProveedor.Domicilio1.Direccion=ESheet.Cells(lgItems,6);
							IProveedor.Domicilio1.Colonia = ESheet.Cells(lgItems,7);//05-ene2012 Gerardo
							IProveedor.Domicilio1.CodPos=ESheet.Cells(lgItems,8);
						}
						else{
							IProveedor.Domicilio1.ICiudad.LoadFromADOCByCodigo("CT0001");//Codigo Ciudad Desconocido
							IProveedor.Domicilio1.Direccion=ESheet.Cells(lgItems,6);
							IProveedor.Domicilio1.Colonia = ESheet.Cells(lgItems,7);//05-ene2012 Gerardo
							IProveedor.Domicilio1.CodPos=ESheet.Cells(lgItems,8);
						}
						if(IProveedor.Domicilio1.ICiudad.Sys_PK>0){
							IProveedor.Domicilio1.Telefonos=ESheet.Cells(lgItems,10);
							IProveedor.Domicilio1.Update();
						}
												
						/*Verifica el tipo Tasa IVA*/
						stTemp=ESheet.Cells(lgItems,9)+"";					
						switch (stTemp.toUpperCase()){
							case "I":/*Interior*/
								IProveedor.tasaIva = 1;
								break;
							case "F":/*Frontera*/
								IProveedor.tasaIva = 2;
							break;
							default:
								Log("Error: Codigo Tasa Iva invalido");
							break;
						}
						
						IProveedor.RFC=ESheet.Cells(lgItems,11);
						IProveedor.eMail=ESheet.Cells(lgItems,12);
						IProveedor.WebSite=ESheet.Cells(lgItems,13);
						IProveedor.Status=1; //cNormal
					
						if (!IProveedor.Update()){
							Log("Error al procesar fila "+lgItems+". Error al guardar "+IProveedor.Nombre+" "+IProveedor.lastErrDescrip);
						}
						else{
							itCount=itCount+1;
						}
					}else{
						Log("Error al procesar fila "+lgItems+". No se pudo cargar tipo del proveedor con cdigo: "+ESheet.Cells(lgItems,1));
					}
					
				}else{
					Log("Error al procesar fila "+lgItems+". No se pudo cargar la divisa del proveedor con cdigo: "+ESheet.Cells(lgItems,1));
				}
				
			}else{
				Log("Error al procesar fila "+lgItems+". El proveedor con cdigo: "+ESheet.Cells(lgItems,1)+" ya se encuentra registrado.");
			}
		
		}catch(e){
			Log("Error al procesar fila "+lgItems);
		}
		UIP.Value=lgItems;
	}
	Application.CloseUIProgress(UIP);
	Application.MouseDefault();
	eBasic.eMsgbox ("Cantidad de registros importados: "+itCount,6); 	
	EFile.ActiveWorkBook.Close (false);
	EFile.Quit();
	IProveedor=null;
	EFile=null;
	ESheet=null;
	return true;	
}

function Log(Error){
	if (Error!="")
		Application.FireEventLog(Error);
}

function Procesar(){
	try{
		return ImportarCatalogoProveedores();
	}catch(e)
	{
		if(UIP!=null){
			Application.CloseUIProgress(UIP);
			Application.MouseDefault();
		}
		Log("Error al ejecutar subprograma");
		throw e;
		return false;
	}
}
Procesar();